Bug 2241543

Summary: CVE-2023-42119 exim: dnsdb Out-Of-Bounds Read Information Disclosure Vulnerability [epel-all]
Product: [Fedora] Fedora EPEL Reporter: Nick Tait <ntait>
Component: eximAssignee: Jaroslav Škarvada <jskarvad>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: epel8CC: bennie.joubert, dwmw2, jskarvad, martin.fraenzl
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: exim-4.96.1-1.el8 exim-4.96.1-1.el7 exim-4.96.1-1.el9 Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-10-09 00:31:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2241542    

Description Nick Tait 2023-09-30 18:03:10 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2241542

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Nick Tait 2023-09-30 18:03:12 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2241542,2241543

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-10-02 14:03:36 UTC
FEDORA-EPEL-2023-bb93ecb59d has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-bb93ecb59d

Comment 3 Fedora Update System 2023-10-02 14:04:13 UTC
FEDORA-EPEL-2023-35a1e9b1b2 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-35a1e9b1b2

Comment 4 Fedora Update System 2023-10-02 14:04:56 UTC
FEDORA-EPEL-2023-458a169f82 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-458a169f82

Comment 5 Fedora Update System 2023-10-03 02:30:41 UTC
FEDORA-EPEL-2023-bb93ecb59d has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-bb93ecb59d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-10-03 02:40:19 UTC
FEDORA-EPEL-2023-35a1e9b1b2 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-35a1e9b1b2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-10-03 02:47:02 UTC
FEDORA-EPEL-2023-458a169f82 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-458a169f82

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-10-09 00:31:42 UTC
FEDORA-EPEL-2023-35a1e9b1b2 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-10-09 00:32:13 UTC
FEDORA-EPEL-2023-458a169f82 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-10-09 00:56:28 UTC
FEDORA-EPEL-2023-bb93ecb59d has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.